Summary: texinfo formatter and info reader
Name: texinfo
%define	version	4.0
Version: %{version}
Release: 3
Copyright: GPL
Group: Applications/Publishing
Vendor: OS/2 RPM project
URL:   http://www2s.biglobe.ne.jp/~vtgf3mpr/indxos2.htm
Source0:  ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}.tar.gz
Source1: info.wmconfig
Patch:   texinfo-%{version}-OS2.diff.gz
Buildroot: /tmp/texinfo-root
Docdir: /emx/doc
Summary(de): texinfo-Formatier- und Leseprogramm
Summary(fr): Formatteur texinfo et lecteur pour info.
Summary(tr): texinfo bimleyici ve info okuyucu
Summary(ja): texinfo texinfo tH[}b^[ info [_[

%description
The GNU project uses the texinfo file format for much of its documentation. 
This package includes the tools necessary to create .info files from .texinfo 
source files, as well as an emacs interface to all these tools.

%description -l ja
GNU vWFNg͑̕ texinfo t@C`pĂB
̃pbP[Wɂ .texinfo  info t@C쐬邽߂̃c[
܂܂BEmacs ̂߂̃C^[tFCXĂB


%package -n info
Summary: standalone tty based reader for GNU texinfo documents
Group: Utilities/System
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Prereq: bash
Summary(de): Unabhgiges tty-basiertes Leseprogramm f GNU-texinfo-Dokumente
Summary(fr): Lecteur autonome de documents texinfo pour terminal.
Summary(tr): GNU texinfo belgeleri in tty tabanlgteyici

%description -n info
The GNU project uses the texinfo file format for much of its documentation. 
This package includes a standalone browser program to view these files.

%description -l de -n info
Das GNU-Projekt benutzt das texinfo-Dateiformat f den Groeil seiner
Dokumentation. Dieses Paket entht ein selbstdiges Browser-Programm 
zum Einsehen dieser Dateien.

%description -l de
Das GNU-Projekt verwendet das Dateiformtat 'texinfo' f den Groeil der
Dokumentation. Dieses Paket entht Tools zum Erstellen von .info-Dateien aus
.texinfo-Quelldateien und eine emacs-Schnittstelle f diese Tools.

%description -l fr -n info
Le projet GNU utilise le format de fichier texinfo pour la plupart de sa
documentation. Ce paquetage contient un navigateur pour visualiser ces
fichiers.

%description -l fr
Le projet GBU utilise le format de fichier texinfo pour la plupart de sa
documentation. Ce paquetage contient les outils pour crr des fichiers .info
partir des fichiers sources .texinfo, ainsi qu'une interface emacs pour tous
ces outils.

%description -l tr -n info
Bu pakette, info bimindeki dosyalarokumak in bir gteyici
bulunur.

%description -l tr
GNU projesi, belgelemesinin b bde texinfo dosyalarkullan.
Bu paket, texinfo dosyalardan info dosyalar tetilmesini saayan
araarla birlikte, t bu araar in bir emacs arayde sunar.

%prep
%setup -q
%patch0 -p1 

%build
chmod -R +rw  '*'
touch config.cache
touch config.status
sh config.status
make 
#rm util/install-info
#make -C util LIBS=/usr/lib/libz.a

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/emx
mkdir -p $RPM_BUILD_ROOT/emx/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/emx/src/redhat/SOURCES
cp $RPM_SOURCE_DIR/texinfo-%{version}-OS2.diff.gz $RPM_BUILD_ROOT/emx/src/redhat/SOURCES/
cp  $RPM_SOURCE_DIR/info.wmconfig $RPM_BUILD_ROOT/emx/etc/X11/wmconfig/info

%clean
rm -rf $RPM_BUILD_ROOT

%post
#/sbin/install-info /usr/info/texinfo.gz /usr/info/dir

%preun
#if [ $1 = 0 ]; then
#    /sbin/install-info --delete /usr/info/texinfo.gz /usr/info/dir
#fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO 
%doc *.os2 COPYING COUNTRY FTP
%doc info/README
/emx/bin/info.exe
/emx/bin/makeinfo.exe
/emx/bin/texindex.exe
/emx/bin/texi2dvi.cmd
/emx/bin/install-info.exe
/emx/info/info-stnd.info.gz
/emx/info/info.info.gz
/emx/info/texinfo.gz
/emx/share/locale/*/*/*
###  /emx/dll/intl_d s%@EMX_OBJ@%obj%g s%@EMX_LIB@%lib%g s%@EMX_AR@%emxomfar%g.dll
### Because, rpm, sed, and other binary uses this
/emx/info/dir-example
/emx/etc/X11/wmconfig/info
/emx/src/redhat/SPECS/texinfo-%{version}-os2.spec
/emx/src/redhat/SOURCES/texinfo-%{version}-OS2.diff.gz


%changelog
* Thu Apr  6 2000 <jsawa@attglobal.net>
- makeinfo accepts Japanese SJIS coded source

* Thu Nov 18 1999 <jsawa@attglobal.net>
- Japanese message available 
- ALT key can be used as Meta key (ESC), when an argument of Meta key is 
  only one.
      c.f. For "ESC & x", we can do "ALT + x"
  manpage also changed: info.1
- default INFO_PRINT_COMMAND is newly set as "expand --tabs=4 >> InfoLog.tmp"

* Sat Nov 5 1999  <jsawa@attglobal.net>
- upgraded to version 4.0
- added some descriptions to manpages for OS/2 user
- intl library are staticaly linked: no depend on intl_d.dll
- compile with -Zomf 

* Thu Oct 28 1999 <jsawa@attglobal.net>
- require emx 0.9d runtime environment
- packaged OS/2 ported version
- texindex.exe can process SJIS code
- info.exe can be run in XFree86 for OS/2
- intl library are dynamically linked:  intl_d.dll

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- fix allocation problems in install-info

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- /sbin/install-info should not depend on /usr/lib/libz.so.1 -- statically
  link with /usr/lib/libz.a.

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- added a prereq of bash to the info package -- see the comment for a
  description of why that was done

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add %attr to permit non-root build.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean
- manhattan build

* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.
